ここから質問投稿すると、最大4000ポイント当たる!!!! >>

「libgtksourceview-2.0.0.dylib requires version 6001.0.0 or later, but libgio-2.0.0.dylib provides version 5503.0.0」というエラーが出ます。
しかし、libgio-2.0.0.dylibのバージョンを上げる方法がわかりません。
そもそも /usr/local/lib とはどのようなディレクトリなのでしょうか?
教えてください。

質問者からの補足コメント

  • どう思う?

    読みを聞いているのではありません

    No.1の回答に寄せられた補足コメントです。 補足日時:2019/08/09 20:49

A 回答 (3件)

>そもそも /usr/local/lib とはどのようなディレクトリなのでしょうか?



プログラムやそれを動かすための共有ライブラリソース(プログラムの分身)を収めるところ


>「libgtksourceview-2.0.0.dylib requires version 6001.0.0 or later, but libgio-2.0.0.dylib provides version 5503.0.0」

どんなプログラムを使おうとしているのか知らないけど、

libgtksourceview-2.0.0.dylib を動かすためには、
libgio-2.0.0.dylib version 6001.0.0 or later が必要だけど、
あなたのマシンには、bgio-2.0.0.dylib version 5503.0.0 とバージョンの古いものしかない

プログラム同士の依存関係が立たれた環境なので、きちんと合わせることをしないといけません。
単純にいうと、時代の合わないももの同士の組み合わせでは、使いようがないという意味かも。
    • good
    • 0

/usr/local は、(本来の意味とはちょっと違いますが、)現在では実質的には、OS標準の方法じゃ無い方法で、インストールするソフトのインストール先の一つです。


/usr/local/lib は、/usr/local/ にソフトをインストールする際に、ライブラリファイルがインストールされる場所です。
    • good
    • 1

ユーザー/ローカル/ライブラリ

この回答への補足あり
    • good
    • 1

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!

このQ&Aを見た人はこんなQ&Aも見ています


このQ&Aを見た人がよく見るQ&A

人気Q&Aランキング